SingleRTPSessionPool(3)

NAME
SingleRTPSessionPool -

SYNOPSIS

#include <pool.h>

Inherits RTPSessionPool.

  Public Member Functions
SingleRTPSessionPool (int pri=0)
~SingleRTPSessionPool ()
void startRunning ()

  Protected Member Functions
void run ()
Runnable method for the thread.

Constructor & Destructor Documentation

  SingleRTPSessionPool::SingleRTPSessionPool (int pri = 0) [inline] Parameters:
    pri optional thread priority value.

  SingleRTPSessionPool::~SingleRTPSessionPool () [inline]

Member Function Documentation

  void SingleRTPSessionPool::run () [protected]

Runnable method for the thread. This thread serves all the RTP sessions.added to this pool.

  void SingleRTPSessionPool::startRunning () [inline, virtual]

Implements RTPSessionPool.

Author

Generated automatically by Doxygen for ccRTP from the source code.